> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 反向链接

> 此端点将提供指定域名、子域名或网页的反向链接列表及相关数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/backlinks/backlinks/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/backlinks/backlinks/live:
    post:
      summary: 反向链接
      description: 此端点将提供指定域名、子域名或网页的反向链接列表及相关数据。
      operationId: post_dataforseo_backlinks_backlinks_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: string
                  description: >-
                    要获取反向链接的域名、子域名或网页 必填字段 域名或子域名应在不含 https:// 和 www. 的情况下指定
                    网页应使用绝对 URL（包括 http:// 或 https://）指定
                mode:
                  type: string
                  description: >-
                    结果分组类型；可选字段；可用的分组类型：as_is – 返回所有反向链接；one_per_domain –
                    每个域名返回一个反向链接；one_per_anchor – 每个锚文本返回一个反向链接；默认值：as_is
                custom_mode:
                  type: object
                  description: >-
                    详细结果分组类型。可选字段。使用此对象可按字段获取特定数量的反向链接。如果使用 custom_mode，则 mode
                    将被忽略。示例："custom_mode": {"field": "domain", "value": 100}
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组，可选字段；您可以同时添加多个过滤器（最多 8 个过滤器）；应在条件之间设置逻辑运算符
                    and、or；支持以下运算符：=, , in, not_in, like, not_like, ilike,
                    not_ilike, regex, not_regex, match, not_match；您可以将 % 运算符与
                    like 和 not_like 一起使用，以匹配包含零个或多个字符的任意字符串；示例：["rank",">","80"]
                    [["page_from_rank",">","55"], "and", ["dofollow","=",true]]
                    [["first_seen",">","2017-10-23 11:31:45 +00:00"], "and",
                    [["anchor","like","%seo%"],"or",["text_pre","like","%seo%"]]]
                    可用过滤器的完整列表可在此处查看。
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则 可选字段 可使用与 filters 数组中相同的值对结果进行排序 可用的排序类型：asc –
                    结果将按升序排列 desc – 结果将按降序排列 应使用逗号设置排序类型 示例：["rank,desc"]
                    请注意，单个请求中最多可设置三条排序规则 应使用逗号分隔多条排序规则
                    示例：["domain_from_rank,desc","page_from_rank,asc"]
                offset:
                  type: integer
                  description: >-
                    返回的反向链接在结果数组中的偏移量 可选字段 默认值：0 如果指定值
                    10，结果数组中的前十个反向链接将被跳过，并提供后续反向链接的数据；注意：最大值为
                    20,000，如需偏移更多结果，请使用 search_after_token
                search_after_token:
                  type: string
                  description: >-
                    用于后续请求的 token；可选字段；每个请求的响应中都会在同名字段中提供；尝试通过单次请求获取超过 20,000
                    条结果时，请使用此参数以避免超时；通过指定响应数组中的唯一 search_after_token
                    值，您将获得初始任务的后续结果；每个后续任务的 search_after_token
                    值都是唯一的；注意：如果请求中指定了 search_after_token，则所有其他参数都应与上一个请求保持一致
                limit:
                  type: integer
                  description: 返回反向链接的最大数量，可选字段，默认值：100，最大值：1000
                backlinks_status_type:
                  type: string
                  description: >-
                    设置要返回和统计的反向链接；可选字段。您可以使用此字段选择要为目标返回并用于汇总指标的反向链接；可选值：all –
                    返回并统计所有反向链接；live – 返回并统计最近一次检查中发现的反向链接；lost –
                    返回并统计已丢失的反向链接；默认值：live
                include_subdomains:
                  type: boolean
                  description: 指示搜索是否包含目标的子域名。可选字段。如果设为 false，将忽略子域名。默认值：true
                exclude_internal_backlinks:
                  type: boolean
                  description: >-
                    指示是否从结果中排除子域名指向目标的内部反向链接；可选字段；如果设置为 true，结果将不包含与 target
                    同一域名下的子域名所产生的内部反向链接数据；如果设置为 false，结果将包含内部链接；默认值：true
                rank_scale:
                  type: string
                  description: >-
                    定义用于计算和显示 rank、domain_from_rank 和 page_from_rank
                    值的刻度，可选字段。可以使用此参数选择以 0–100 或 0–1000 刻度显示排名值。可用值：one_hundred
                    — 排名值以 0–100 刻度显示；one_thousand — 排名值以 0–1000
                    刻度显示。默认值：one_thousand。有关此参数的工作方式及排名指标计算方法的更多信息，请参阅此帮助中心文章
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - target
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.target:
                    type: string
                    description: POST 数组中的目标域名
                  tasks.result.mode:
                    type: string
                    description: POST 数组中指定的 mode
                  tasks.result.custom_mode:
                    type: object
                    description: POST 数组中指定的自定义模式
                  tasks.result.total_count:
                    type: integer
                    description: 与请求相关的结果总数
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含相关的反向链接和引用域名数据
                  tasks.result.items.type:
                    type: string
                    description: 元素类型 = ‘backlink’
                  tasks.result.items.domain_from:
                    type: string
                    description: 引用目标域名或网页的域名
                  tasks.result.items.url_from:
                    type: string
                    description: 发现反向链接的页面 URL
                  tasks.result.items.url_from_https:
                    type: boolean
                    description: 指示引荐 URL 是否使用 HTTPS 保护；如果为 true，则引荐 URL 使用 HTTPS 保护
                  tasks.result.items.domain_to:
                    type: string
                    description: 反向链接指向的域名
                  tasks.result.items.url_to:
                    type: string
                    description: 反向链接指向的 URL
                  tasks.result.items.url_to_https:
                    type: boolean
                    description: 指示反向链接所指向的 URL 是否受 HTTPS 保护；如果为 true，则该 URL 受 HTTPS 保护
                  tasks.result.items.tld_from:
                    type: string
                    description: 引用 URL 的顶级域名
                  tasks.result.items.is_new:
                    type: boolean
                    description: 指示反向链接是否为新链接；如果为 true，则表示我们的爬虫上次访问该页面时发现了此反向链接
                  tasks.result.items.is_lost:
                    type: boolean
                    description: 指示反向链接是否已被移除；如果为 true，则该反向链接或整个页面已被移除
                  tasks.result.items.backlink_spam_score:
                    type: integer
                    description: 反向链接的垃圾信息评分；有关该指标计算方式的更多信息，请参阅此帮助中心页面
                  tasks.result.items.rank:
                    type: integer
                    description: >-
                      反向链接排名，指定反向链接传递给目标的排名；该排名基于链接数据库中的节点排名方法计算，此原理曾用于最初的
                      Google PageRank 算法；有关该指标及其计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.page_from_rank:
                    type: integer
                    description: >-
                      引用页面的页面排名；page_from_rank 基于链接数据库中的节点排名方法计算，该原理曾用于最初的
                      Google PageRank 算法；有关此指标及其计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.domain_from_rank:
                    type: integer
                    description: >-
                      引用域名的域名排名。domain_from_rank 根据关联数据库中的节点排名方法计算，此原理曾用于最初的
                      Google PageRank 算法。有关此指标及其计算方法的更多信息，请参阅此帮助中心文章
                  tasks.result.items.domain_from_platform_type:
                    type: array
                    items:
                      type: string
                    description: >-
                      引荐域名的平台类型，可能的值：cms、blogs、ecommerce、message-boards、wikis、news、organization
                  tasks.result.items.domain_from_is_ip:
                    type: boolean
                    description: 指示域名是否为 IP；如果为 true，则该域名用作 IP 地址且没有域名
                  tasks.result.items.domain_from_ip:
                    type: string
                    description: 引荐域名的 IP 地址
                  tasks.result.items.domain_from_country:
                    type: string
                    description: 引荐域名的 ISO 国家/地区代码
                  tasks.result.items.page_from_external_links:
                    type: integer
                    description: 引荐页面上发现的外部链接数量
                  tasks.result.items.page_from_internal_links:
                    type: integer
                    description: 引荐页面上发现的内部链接数量
                  tasks.result.items.page_from_size:
                    type: integer
                    description: 引用页面的大小（以字节为单位），示例：63357
                  tasks.result.items.page_from_encoding:
                    type: string
                    description: 引用页面的字符编码，例如：utf-8
                  tasks.result.items.page_from_language:
                    type: string
                    description: 引用页面的语言，采用 ISO 639-1 格式，例如：en
                  tasks.result.items.page_from_title:
                    type: string
                    description: 引用页面的标题
                  tasks.result.items.page_from_status_code:
                    type: integer
                    description: 引用页面返回的 HTTP 状态码，示例：200
                  tasks.result.items.first_seen:
                    type: string
                    description: >-
                      我们的爬虫首次发现该反向链接的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00” 示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.prev_seen:
                    type: string
                    description: >-
                      我们的爬虫在最近一次之前访问该反向链接的日期，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.last_seen:
                    type: string
                    description: >-
                      我们的爬虫最近一次访问该反向链接的日期，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.item_type:
                    type: string
                    description: 链接类型，可能的值：anchor、image、meta、canonical、alternate、redirect
                  tasks.result.items.attributes:
                    type: array
                    items:
                      type: string
                    description: 引用链接的链接属性，例如：nofollow
                  tasks.result.items.dofollow:
                    type: boolean
                    description: 指示反向链接是否为 dofollow；如果为 false，则反向链接为 nofollow
                  tasks.result.items.original:
                    type: boolean
                    description: 指示我们的爬虫首次访问引用页面时，该反向链接是否存在
                  tasks.result.items.alt:
                    type: string
                    description: 图像的替代文本；如果反向链接类型不是图像，此字段将为 null
                  tasks.result.items.image_url:
                    type: string
                    description: 图片的 URL；该 URL 指向原始资源或 DataForSEO 存储中的图片（当原始来源不可用时）
                  tasks.result.items.anchor:
                    type: string
                    description: 反向链接的锚文本
                  tasks.result.items.text_pre:
                    type: string
                    description: 锚文本之前的片段
                  tasks.result.items.text_post:
                    type: string
                    description: 锚文本后的摘要
                  tasks.result.items.semantic_location:
                    type: string
                    description: >-
                      表示找到反向链接的 HTML
                      语义元素；你可以在此处获取完整的语义元素列表，例如：article、section、summary
                  tasks.result.items.links_count:
                    type: integer
                    description: 在引荐页面上发现的相同反向链接数量
                  tasks.result.items.group_count:
                    type: integer
                    description: >-
                      指示来自此域名的反向链接总数。例如，如果 mode 设置为
                      one_per_domain，此字段将指示来自此域名的反向链接总数。
                  tasks.result.items.is_broken:
                    type: boolean
                    description: 表示反向链接是否损坏；如果为 true，则该反向链接指向的页面返回 4xx 或 5xx 状态码
                  tasks.result.items.url_to_status_code:
                    type: integer
                    description: 引用页面的状态码；如果值为 null，则表示我们的爬虫尚未访问链接指向的网页；示例：200
                  tasks.result.items.url_to_spam_score:
                    type: integer
                    description: >-
                      被引用页面的垃圾信息评分；如果值为
                      null，则表示我们的爬虫尚未访问链接指向的网页；有关此指标计算方式的更多信息，请参阅此帮助中心页面
                  tasks.result.items.url_to_redirect_target:
                    type: string
                    description: 重定向所指向的目标页面 URL
                  tasks.result.items.is_indirect_link:
                    type: boolean
                    description: >-
                      指示反向链接是否为间接链接。如果为 true，则该反向链接是指向某个页面的间接链接，该页面会重定向到
                      url_to，或指向规范页面。
                  tasks.result.items.indirect_link_path:
                    type: array
                    items:
                      type: string
                    description: 间接链接路径，表示指向 url_to 的一个 URL 或一系列 URL
                  tasks.result.items.indirect_link_path.type:
                    type: string
                    description: 间接链接类型，可选值：redirect、canonical
                  tasks.result.items.indirect_link_path.status_code:
                    type: integer
                    description: URL 的 HTTP 状态码
                  tasks.result.items.indirect_link_path.url:
                    type: string
                    description: 间接链接 URL
                  tasks.result.search_after_token:
                    type: string
                    description: >-
                      后续请求的 token。在设置新任务时指定唯一的
                      search_after_token，即可获取初始任务的后续结果；每个后续任务的
                      search_after_token 值都是唯一的
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````